Get email template
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"body": "<string>",
"name": "<string>",
"subject": "<string>",
"type": "JobAssigned",
"bccAddress": "<string>",
"ccAddress": "<string>",
"id": "<string>",
"uid": "<string>"
}Email Template
Get email template
Requires an internal user role (Admin or Project Manager). To duplicate/clone this template under a new name, submit its returned fields to the create-email-template endpoint.
GET
/
api2
/
v1
/
emailTemplates
/
{templateUid}
Get email template
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"body": "<string>",
"name": "<string>",
"subject": "<string>",
"type": "JobAssigned",
"bccAddress": "<string>",
"ccAddress": "<string>",
"id": "<string>",
"uid": "<string>"
}Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Response
OK
An organization email template, as returned by the email template endpoints
Email template type. The LoginInfo value is deprecated.
Available options:
JobAssigned, JobStatusChanged, NextWorkflowStep, JobRejected, LoginInfo, ProjectTransferredToBuyer, SharedProjectAssigned, SharedProjectStatusChanged, AutomatedProjectCreated, AutomatedProjectSourceUpdated, AutomatedProjectStatusChanged, JobWidgetProjectQuotePrepared, JobWidgetProjectQuotePreparationFailure, JobWidgetProjectCreated, JobWidgetProjectCompleted, CmsQuoteReady, CmsWorkCompleted, CmsJobRejected, QUOTE_UPDATED, QUOTE_STATUS_CHANGED, LQA_SHARE_REPORT, PLATFORM_WORK_COMPLETED, PLATFORM_WORK_DECLINED, PLATFORM_WORK_NEW, UserMentionOrComment, ProjectNewReference Was this page helpful?